> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List real estate templates

> Return each available intro and outro template with its input fields.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/v2/real-estate/templates/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
tags:
  - name: tensorshots-projects
    description: Create, read, update, and delete TensorShots projects.
    x-displayName: Projects
    x-group: TensorShots Projects
  - name: tensorshots-shots
    description: Manage TensorShots project shots and shot voiceovers.
    x-displayName: Shots
    x-group: TensorShots Shots
  - name: tensorshots-assets
    description: Manage TensorShots audio, image, video, and shared assets.
    x-displayName: Assets
    x-group: TensorShots Assets
  - name: tensorshots-jobs
    description: Start, list, read, and delete TensorShots generation and render jobs.
    x-displayName: Jobs
    x-group: TensorShots Jobs
  - name: tensorshots-settings
    description: Manage TensorShots styles, music, voices, and prompt templates.
    x-displayName: Settings
    x-group: TensorShots Settings
  - name: real-estate-projects
    description: Create, read, update, and delete real estate projects.
    x-displayName: Projects
    x-group: Real Estate Projects
  - name: real-estate-shots
    description: Create, read, update, and delete real estate project shots.
    x-displayName: Shots
    x-group: Real Estate Shots
  - name: real-estate-assets
    description: Manage image, video, logo, and music assets for real estate projects.
    x-displayName: Assets
    x-group: Real Estate Assets
  - name: real-estate-voiceover
    description: Manage voiceover text, audio, and text limits for real estate projects.
    x-displayName: Voiceover
    x-group: Real Estate Voiceover
  - name: real-estate-jobs
    description: Start, list, read, and cancel jobs for real estate projects and shots.
    x-displayName: Jobs
    x-group: Real Estate Jobs
  - name: real-estate-branding
    description: Manage reusable agents and brand kits for real estate projects.
    x-displayName: Branding
    x-group: Real Estate Branding
  - name: real-estate-templates
    description: List video templates for real estate projects.
    x-displayName: Templates
    x-group: Real Estate Templates
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/real-estate/templates/:
    get:
      tags:
        - real-estate-templates
      summary: List real estate templates
      description: Return each available intro and outro template with its input fields.
      operationId: real_estate_template_catalog_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RealEstateTemplatePresetCatalog'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
          description: ''
      security:
        - tokenAuth: []
        - jwtAuth: []
components:
  schemas:
    RealEstateTemplatePresetCatalog:
      type: object
      description: Serialize the complete frontend template preset catalog.
      properties:
        templates:
          type: array
          items:
            $ref: '#/components/schemas/RealEstateTemplatePreset'
          readOnly: true
      required:
        - templates
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    ServerError:
      type: object
      description: Describe errors created by the global exception handler.
      properties:
        error:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - error
        - error_id
    RealEstateTemplatePreset:
      type: object
      description: Serialize one selectable real-estate template preset.
      properties:
        key:
          type: string
          readOnly: true
        kind:
          allOf:
            - $ref: '#/components/schemas/KindEnum'
          readOnly: true
        display_name:
          type: string
          readOnly: true
        preview_url:
          type: string
          format: uri
          readOnly: true
        fields:
          type: array
          items:
            $ref: '#/components/schemas/RealEstateTemplatePresetField'
          readOnly: true
      required:
        - display_name
        - fields
        - key
        - kind
        - preview_url
    KindEnum:
      enum:
        - intro
        - outro
      type: string
      description: |-
        * `intro` - intro
        * `outro` - outro
    RealEstateTemplatePresetField:
      type: object
      description: Serialize one frontend form field for a template preset.
      properties:
        name:
          type: string
          readOnly: true
        display_name:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
        default:
          readOnly: true
        choices:
          type: array
          items: {}
          readOnly: true
        validation:
          type: object
          additionalProperties: {}
          readOnly: true
      required:
        - choices
        - default
        - display_name
        - name
        - type
        - validation
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````